Get Activations

Gets activations that connected to a serial number.

GET https://api.keyzy.io/v2/activations/{serial-number}?app_id=XXXXXX&api_key=XXXXXXXXXXXXXXXXX

Parameters

ParameterDescription
serial-numberserial number
app_idAn app_id that has read permission
api_keyAn api_key that has read permission

Returns

Success

{
  "data": [
    {
      "id": "int",
      "license_id": "int",
      "product_id": "int",
      "activated": "true/false",
      "host_id": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
      "device_tag": "Windows 10__64bits",
      "created_at": "2018-11-11 13:23:31",
      "updated_at": "2018-11-13 16:59:31",
      "product_name": "name of the product",
      "serial": "XXXX-XXXX-XXXX-XXXX-XXXX",
      "sku_name": "name of the sku",
      "sku": "sku number"
    }
  ]
}

Errors

You are not authorized

{
  "error": {
    "message": "You are not authorized!",
    "status_code": 401
  }
}

Activation does not exist

{
  "error": {
    "message": "Activation does not exist!",
    "status_code": 404
  }
}